# $Revision: 1.121 $, $Date: 2011/09/24 05:58:49 $
#
# Conditional build:
%bcond_without	qt	# without doxywizard (qt-based)
#
Summary:	Doxygen is the documentation system for C/C++
Summary(es.UTF-8):	Doxygen es el sistema de documentación para C/C++
Summary(pl.UTF-8):	System dokumentowania dla C/C++
Summary(pt_BR.UTF-8):	Um sistema de documentação para C/C++
Summary(ru.UTF-8):	Система документирования для C та C++
Summary(uk.UTF-8):	Система документування для C та C++
Name:		doxygen
Version:	1.7.5.1
Release:	1
Epoch:		1
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.gz
# Source0-md5:	f5355c442c5bc2481dbef7fdea8f0556
Patch0:		%{name}-qt-dirs.patch
URL:		http://www.doxygen.org/
%{?with_qt:BuildRequires:	QtGui-devel >= 4.3}
%{?with_qt:BuildRequires:	QtXml-devel >= 4.3}
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ghostscript
BuildRequires:	ghostscript-fonts-std
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-base
%{?with_qt:BuildRequires:	qt4-build >= 4.3}
%{?with_qt:BuildRequires:	qt4-qmake >= 4.3}
%if "%{pld_release}" == "ti"
BuildRequires:	tetex-format-latex >= 1:3.0-2
BuildRequires:	tetex-format-pdflatex >= 1:3.0-2
%else
BuildRequires:	texlive-latex
BuildRequires:	texlive-pdftex
%endif
# I don't know what is the exact names in TI, please correct
%if "%{pld_release}" == "th"
Suggests:	texlive-fonts-larm
Suggests:	texlive-latex-cyrillic
Suggests:	texlive-latex-extends
Suggests:	texlive-makeindex
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# because of qt
%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Doxygen is a documentation system for C, C++ and IDL. It can generate
an on-line class browser (in HTML) and/or an off-line reference manual
(in LaTeX) from a set of documented source files. There is also
support for generating man pages and for converting the generated
output into Postscript, hyperlinked PDF or compressed HTML. The
documentation is extracted directly from the sources.

Doxygen can also be configured to extract the code-structure from
undocumented source files. This can be very useful to quickly find
your way in large source distributions.

%description -l es.UTF-8
Doxygen es un sistema de documentación para C, C++ e IDL. Es capaz de
generar un navegador on-line entre clases (en HTML) y-o un manual
off-line de referencia (en LaTeX) a partir de un conjunto de ficheros
de código fuente documentados. También hay soporte para generar
páginas man y para convertir la generada salida an Postscript, PDF con
hiperenlaces o HTML comprimido. La documentación se extrae
directamente de los fuentes.

Doxygen puede también ser configurado a extraer la estructura del
código de código fuente que carece de documentación. Eso puede ser muy
útil para orientarse rápidamente en distribuciones grandes de código
fuente.

%description -l pl.UTF-8
Doxygen to system dokumentowania dla C, C++ i IDL. Może generować
dokumentację klas on-line (w HTML-u) lub podręcznik off-line (w
LaTeXu) z zestawu udokumentowanych plików źródłowych. Ma także
możliwość generowania stron man i konwersji na Postscript, PDF z
hiperłączami oraz skompresowany HTML. Dokumentacja jest wyciągana
bezpośrednio ze źródeł.

Doxygen może być skonfigurowany także do wyciągania struktury kodu z
nieudokumentowanych plików źródłowych. Może być to przydatne do
szybkiego odnalezienia się w dużych źródłach.

%description -l pt_BR.UTF-8
Doxygen é uma sistema de documentação para C e C++ que gera um class
browser on-line (em HTML) e/ou um manual de referencia off-line (em
LaTeX) a partir de um conjunto de fontes documentados. A documentação
é extraida diretamente a partir dos fontes.

%description -l ru.UTF-8
Doxygen - это система документирования для C, C++ и IDL. Она может
создать онлайновый броузер классов (в HTML) и/или оффлайновый
справочник (в LaTeX) из набора документированных файлов. Есть также
поддержка создания man-страниц и конвертации сгенерированного вывода в
Postscript, PDF с гиперссылками и компрессированный HTML. Документация
извлекается непосредственно из исходных файлов.

Doxygen можно также сконфигурировать для получения структуры кода из
нелокументированных исходных файлов. Это может быть очень полезным для
того, чтобы бысто разобраться в большом проекте.

%description -l uk.UTF-8
Doxygen - це система документування для C, C++ та IDL. Вона може
створити онлайновий броузер класів (в HTML) та/чи оффлайновий довідник
(в LaTeX) з набору документованих вихідних файлів. Є також підтримка
для створення man-сторінок та конвертації згенерованого виводу в
Postscript, PDF з гіперлінками та компресований HTML. Документація
видобувається безпосердньо з вихідних файлів.

Doxygen можна також зконфігурувати для отримання структури коду з
недокументованих вихідних файлів. Це може бути дуже корисним для того,
щоб швидко розібратися у великому проекті.

%package doxywizard
Summary:	A GUI front-end for creating and editing configuration files
Summary(es.UTF-8):	Un front-end GUI para crear y editar ficheros de configuración
Summary(pl.UTF-8):	GUI do tworzenia i edycji plików konfiguracyjnych
Summary(pt_BR.UTF-8):	Wizard gráfico para o Doxygen
Group:		X11/Applications
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description doxywizard
Doxywizard is a GUI front-end for creating and editing configuration
files that are used by doxygen.

%description doxywizard -l es.UTF-8
Doxywizard es un front-end GUI para crear y editar los ficheros de
configuración que son usados por doxygen.

%description doxywizard -l pl.UTF-8
Doxywizard to frontend z graficznym interfejsem do tworzenia i edycji
plików konfiguracyjnych używanych przez doxygen.

%description doxywizard -l pt_BR.UTF-8
Wizard gráfico para o Doxygen.

%prep
%setup -q
%patch0 -p1

%{__rm} addon/doxywizard/Makefile.doxywizard

%build
# don't change it to %%configure, not autoconf-generated!
./configure \
	--prefix %{_prefix} \
	--perl %{__perl} \
	--install %{_bindir}/install \
	%{?with_qt:--with-doxywizard}

%{__make} \
	CC="%{__cc}" \
	CXX="%{__cxx}" \
	LINK="%{__cxx}" \
	QTDIR="%{_prefix}" \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcxxflags} -DQT_LITE_UNICODE -DNODEBUG -fno-rtti -fno-exceptions" \
	LFLAGS="%{rpmldflags}"

%{__make} docs
#%%{__make} pdf

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc html examples README
%attr(755,root,root) %{_bindir}/doxygen
%attr(755,root,root) %{_bindir}/doxytag
%{_mandir}/man1/doxygen.1*
%{_mandir}/man1/doxytag.1*

%if %{with qt}
%files doxywizard
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/doxywizard
%{_mandir}/man1/doxywizard.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: doxygen.spec,v $
Revision 1.121  2011/09/24 05:58:49  qboosh
- updated to 1.7.5.1

Revision 1.120  2011/08/18 15:07:11  qboosh
- updated to 1.7.5

Revision 1.119  2011/06/05 07:01:28  uzsolt
- texlive-fonts-larm and texlive-latex-cyrillic suggests

Revision 1.118  2011/06/04 12:15:30  uzsolt
- texlive-specific suggests

Revision 1.117  2011/04/29 09:12:30  hawk
- for time being switch back to tetex in Titanium

Revision 1.116  2011/04/03 19:15:25  qboosh
- updated to 1.7.4

Revision 1.115  2011/01/04 12:01:52  caleb
- Up to 1.7.3

Revision 1.114  2010/10/15 19:58:20  qboosh
- updated to 1.7.2

Revision 1.113  2010/06/27 01:40:33  draenog
- up to 1.7.1
- remove -DQT_NO_CODECS from CXXFLAGS to prevent segfault

Revision 1.112  2010/03/28 06:05:18  draenog
-up to 1.6.3

Revision 1.111  2010/02/09 19:44:12  draenog
- rel. 1

Revision 1.110  2010/02/09 19:24:15  draenog
- use PLD ldflags
- remove 64bit.patch (was not used)
- adapterized

Revision 1.109  2010/02/09 03:22:05  draenog
- check if it compiles without lib64.patch

Revision 1.108  2010/02/09 03:17:31  draenog
- package manpages

Revision 1.107  2010/02/09 03:15:02  draenog
- better installation part

Revision 1.106  2010/02/09 03:12:31  draenog
- s/python/perl/ in BR

Revision 1.105  2010/02/09 03:10:07  draenog
- proper BR for Qt4
- obsolete R for doxywizard

Revision 1.104  2010/02/09 03:05:32  draenog
- remove qt-thread patch (doxywizard is now based on Qt4)

Revision 1.103  2010/02/09 02:47:41  draenog
- begin upgrade to 1.6.2
- remove system-libpng.patch (doxygen now uses internal PNG encoder)

Revision 1.102  2010/01/29 21:10:18  arekm
- rel 4; libpng 1.4 fix

Revision 1.101  2010/01/29 20:39:48  arekm
- release 3

Revision 1.100  2009/03/30 20:32:09  uzsolt
- switch to texlive
- rel 2

Revision 1.99  2008/10/11 10:14:49  adamg
- updated to 1.5.7.1

Revision 1.98  2008/09/28 21:45:38  pawelz
- up to 1.5.7

Revision 1.97  2008/06/28 19:23:04  beorn
- Up to 1.5.6

Revision 1.96  2008/03/22 15:03:05  witekfl
- up to 1.5.5

Revision 1.95  2007-11-04 09:21:11  qboosh
- updated to 1.5.4

Revision 1.94  2007/07/27 20:00:22  twittner
- up to 1.5.3

Revision 1.93  2007/04/15 12:34:20  arekm
- rel 1

Revision 1.92  2007/04/05 21:43:43  twittner
- up to 1.5.2
- rel. 0.1 (builds but not tested yet)

Revision 1.91  2007/02/24 00:45:00  arekm
- rel 6; force addon/doxywizard/Makefile.doxywizard regeneration (fixes x86_64 build)

Revision 1.90  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.89  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.88  2006/12/12 01:29:52  glen
- rel 5

Revision 1.87  2006/12/11 20:49:36  pluto
- fix 64-bits issue, release 4.

Revision 1.86  2006/12/11 15:06:27  glen
- rel 3, updated lib64 patch

Revision 1.85  2006/12/11 15:01:13  glen
- avoid errors for overlong arguments; rel 2

Revision 1.84  2006/12/11 01:00:47  qboosh
- updated to 1.5.1, updated system-libpng patch

Revision 1.83  2006/06/18 20:20:20  jareq
- updated to 1.4.7
- removed patch3 (included in source)
- rel. 1

Revision 1.82  2006/01/12 19:50:57  pluto
- rpmcxxflags, quotes, lib64 patch fixed, release 2.

Revision 1.81  2006/01/05 10:26:46  qboosh
- typo?

Revision 1.80  2006/01/02 11:48:24  speedo
- updated to 1.4.6

Revision 1.79  2005/12/11 21:05:44  adamg
- fix build on gcc4 (doxygen-gcc4.patch)
- dropped BR:tetex-plain-misc (obsoleted by tetex-3.0)
- pass CC, CXX

Revision 1.78  2005/10/04 21:58:03  paszczus
- updated to 1.4.5 ; STBR

Revision 1.77  2005/07/23 14:22:14  wolf
- 1.4.4

Revision 1.76  2005/05/23 11:02:08  pluto
- tab.

Revision 1.75  2005/05/16 17:06:53  witekfl
- updated to 1.4.3

Revision 1.74  2005/05/11 13:43:38  qboosh
- more general lib64 if

Revision 1.73  2005/05/04 22:01:47  mmazur
- rel 2 for th

Revision 1.72  2005/03/28 17:21:40  paszczus
- updated to 1.4.2 ; STBR

Revision 1.71  2005/01/08 19:31:11  qboosh
- BR: python (for docs)

Revision 1.70  2005/01/08 19:28:16  qboosh
- updated to 1.4.1

Revision 1.69  2005/01/03 08:00:54  ankry
- pl fix, some cosmetics

Revision 1.68  2005/01/01 13:37:48  paszczus
- release 1, STBR

Revision 1.67  2005/01/01 12:39:22  paszczus
- updated to 1.4.0
- release 0.1 ; test build please...

Revision 1.66  2004/10/11 10:57:26  paszczus
- release 1

Revision 1.65  2004/10/11 09:21:38  paszczus
- updated to 1.3.9.1
- added Source0-size
- release 0.1 (test build please)

Revision 1.64  2004/07/25 16:29:36  qboosh
- updated to 1.3.8

Revision 1.63  2004/07/18 20:34:16  qboosh
- strict internal dep

Revision 1.62  2004/05/07 15:45:09  undefine
- update to 1.3.7, remove obsolete qtstyle.patch patch

Revision 1.61  2004/02/24 01:11:55  ankry
- pl fixes, cosmetics

Revision 1.60  2004/02/14 10:55:01  undefine
- update to 1.3.6

Revision 1.59  2004/01/02 16:17:30  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.58  2003/12/26 10:57:08  jajcus
- AMD64 fixes

Revision 1.57  2003/11/22 16:17:51  saq
- version 1.3.5
- new bconds
- es translations
- STBR for Ac

Revision 1.56  2003/09/23 08:55:43  trojan
- updated to 1.3.4

Revision 1.55  2003/08/31 17:41:15  mmazur
- rel 2 for ac

Revision 1.54  2003/08/30 21:37:19  qboosh
- removed License from doc (just GPL)

Revision 1.53  2003/08/28 08:29:13  ankry
- s/TeX-a/TeXa/ i podobne

Revision 1.52  2003/08/01 16:11:10  qboosh
- remove bogus unistd.h - fixes build with current flex

Revision 1.51  2003/07/26 07:59:24  adamg
- updated to 1.3.3

Revision 1.50  2003/07/18 21:20:09  djrzulf
- is it only alpha problem ?,

Revision 1.49  2003/06/22 00:04:43  jareq
- fixed epoch:version issue

Revision 1.48  2003/06/16 20:24:28  qboosh
- added qtstyle and qt-dirs patches, now doxywizard builds

Revision 1.47  2003/06/16 05:38:10  adamg
- updated to 1.3.2
- cleanups

Revision 1.46  2003/06/10 12:38:51  cieciwa
- fixed my mistake.

Revision 1.45  2003/06/09 19:57:44  cieciwa
- added BR:glibc-staticpopt.spec

Revision 1.44  2003/05/28 15:02:12  adamg
- up to 1.3.1

Revision 1.43  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.42  2003/05/25 05:46:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/03/04 23:32:34  qboosh
- libstdc++-devel, not -static

Revision 1.40  2003/03/04 03:07:17  mwinkler
- BR: flex, libstdc++-static

Revision 1.39  2003/02/28 10:07:45  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.38  2003/02/05 14:57:35  wrobell
- ver. 1.3-rc3
- moved examplesdir to docdir - it is part of html documentation /now,
  there are no broken links for docs/ <- maybe link should be made to
  examplesdir?
- build requirements updated for new tetex... but nfy

Revision 1.37  2003/01/30 12:59:22  qboosh
- BR: ghostscript-fonts-std

Revision 1.36  2003/01/29 21:12:39  qboosh
- added system-libpng patch to link with system zlib and libpng
- release 2

Revision 1.35  2003/01/29 16:07:15  qboosh
- BR: tetex-pdftex (epstopdf)

Revision 1.34  2003/01/15 07:30:58  trojan
- I forgot release

Revision 1.33  2003/01/15 07:23:48  trojan
- updated to 1.2.18

Revision 1.32  2003/01/08 01:21:46  radek
- added "--install" to ./configure: autodetection fails, because this
  script wants _bindir/install from fileutils, and our is from coreutils

Revision 1.31  2003/01/06 12:57:41  trojan
- fixed BR

Revision 1.30  2002/11/19 20:54:27  klakier
- examples moved from doc to examplesdir

Revision 1.29  2002/10/17 11:34:40  mmazur
- not building gui so qt not needed

Revision 1.28  2002/08/29 23:11:03  blues
- release 2 - new doc, proper BR

Revision 1.27  2002/04/25 16:13:30  arturs
fixed a small typo

Revision 1.26  2002/04/13 13:12:19  kloczek
- updated to 1.2.15 and merge translations from KSI.

Revision 1.25  2002/03/11 11:07:47  martii
- cosmetics

Revision 1.24  2002/03/11 11:02:20  martii
- added latex to buildreq

Revision 1.23  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.22  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/17 19:52:48  kloczek
- updated to 1.2.14.

Revision 1.20  2002/02/07 02:54:51  kloczek
- release 2.

Revision 1.19  2002/02/06 23:13:03  filon
- small fix

Revision 1.18  2002/02/03 20:43:36  ankry
- adding es/pt/pt_BR Group translations

Revision 1.17  2002/01/22 18:17:33  filon
- cosmetics

Revision 1.16  2002/01/18 02:12:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2002/01/06 13:47:42  kloczek
- updated to 1.2.13.1 (bug fix release).

Revision 1.14  2002/01/02 14:42:39  kloczek
- updated to 1.2.13 (bug fix release),
- new Source url.

Revision 1.13  2001/12/12 21:06:21  blues
- added ghostscript to buildrequires

Revision 1.12  2001/11/26 15:26:03  kloczek
- release 2.

Revision 1.11  2001/11/26 14:38:37  qboosh
- s/BuildPrereq/BuildRequires/

Revision 1.10  2001/11/21 15:19:21  qboosh
- pl translations, adapterized

Revision 1.9  2001/11/08 19:27:47  kloczek
- Epoch: 1,
- merged translations from CNV,
- added commented doxywizard subpackahge (now does not build correctly).

Revision 1.8  2001/11/08 18:27:46  baggins
- updated to 1.2.11

Revision 1.7  2001/07/06 12:40:35  dobrek
- Exludearch alpha removed. Could one explain my what was the reason to
  exlude alpha arch. What for hell has arch to dodument preparation
  system?????

Revision 1.6  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.5  2001/01/25 20:03:22  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.3  2000/11/01 06:04:02  kloczek
- use $RPM_OPT_FLAGS during compile,
- make spec %%{debug} ready,
- use -fno-rtti -fno-exceptions during compile C++ code,
- added missing %attr() macros in %files,
- tetex added to BuildRequires.

Revision 1.2  2000/10/31 23:34:28  klakier
- needs testing
- qt frontend not included

Revision 1.1  2000/10/31 13:59:21  klakier
- based on mdk spec
